# Exiv2::TiffArrayEntry Class Reference

Composite to model an array of tags, each consisting of one unsigned short value. Canon and Minolta makernotes use such tags. The elements of this component are usually of type TiffArrayElement. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffArrayEntry:

[legend]
Collaboration diagram for Exiv2::TiffArrayEntry:

[legend]
List of all members.

## Public Member Functions

Creators
| TiffArrayEntry (uint16_t tag, uint16_t group, uint16_t elGroup, uint16_t elSize)
| Default constructor.
virtual | ~TiffArrayEntry ()
| Virtual destructor.
Accessors
uint16_t | elSize () const
| Return the type for the array elements.
uint16_t | elGroup () const
| Return the group for the array elements.

## Detailed Description

Composite to model an array of tags, each consisting of one unsigned short value. Canon and Minolta makernotes use such tags. The elements of this component are usually of type TiffArrayElement.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp